Package skyview.geometry.csys

# Class Galactic

java.lang.Object
skyview.geometry.CoordinateSystem
skyview.geometry.csys.Galactic

All Implemented Interfaces:
  `Serializable`, `Component`

public class Galactic extends CoordinateSystem implements Component
The class defining Galactic coordinate system.

See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class skyview.geometry.CoordinateSystem

`B1950, Gal, ICRS, J2000`

## Constructor Summary

Constructors
Constructor
Description
`Galactic()`

## Method Summary

Modifier and Type
Method
Description
`String`
`getDescription()`
Get a description of the object.
`String`
`getName()`
Get the name of this object.
`Rotater`
`getRotater()`
Return the rotation associated with the coordinate system.

### Methods inherited from class skyview.geometry.CoordinateSystem

`factory, factory, getSphereDistorter`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Galactic

public Galactic()

## Method Details

### getName

public String getName()
Get the name of this object.

Specified by:
  `getName` in interface `Component`

### getDescription

public String getDescription()
Get a description of the object.

Specified by:
  `getDescription` in interface `Component`

### getRotater

public Rotater getRotater()
Return the rotation associated with the coordinate system.

Specified by:
  `getRotater` in class `CoordinateSystem`